Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2076390 - Ctrl/Alt modifiers often stuck after pressing Alt+Tab or Ctrl+Alt+Tab and then scrolling/clicking
Summary: Ctrl/Alt modifiers often stuck after pressing Alt+Tab or Ctrl+Alt+Tab and the...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F36FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2022-04-18 21:45 UTC by Kamil Páral
Modified: 2022-04-20 23:29 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-20 23:29:47 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gnome-shell issues 5364 0 None opened Ctrl/Alt modifiers often stuck after pressing Alt+Tab or Ctrl+Alt+Tab and then scrolling/clicking 2022-04-18 21:46:08 UTC
GNOME Gitlab GNOME mutter issues 2194 0 None opened Internal grabs do not send key release to clients 2022-04-19 16:16:29 UTC
GNOME Gitlab GNOME mutter merge_requests 2366 0 None opened core: Account ClutterStage grabs on Wayland key focus synchronization 2022-04-19 16:16:29 UTC

Description Kamil Páral 2022-04-18 21:45:49 UTC
Description of problem:
If I press Alt+Tab to switch windows and then scroll the wheel, often it happens that the content is not scrolled at all, as if the scroll events were ignored. After some experimentation, I found out that Alt+scroll events are sent instead of regular (without modifiers) scroll events [1].

Similarly, if I press Ctrl+Alt+Tab [2] and then scroll the wheel, often it happens that the content is either not scrolled (if Alt got stuck) or it is zoomed instead (if Ctrl got stuck). It seems random which modifier gets stuck, but again instead of regular scroll events, Ctrl+scroll or Alt+scroll is sent instead [3].

Please read the full description at this upstream report:
https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/5364

Comment 1 Kamil Páral 2022-04-18 22:01:01 UTC
Proposing for a blocker discussion. I think having modifiers stuck is pretty bad, it can do a lot of unexpected things. Alt+Tab is used by people all the time, and sending Alt+scroll or Alt+click randomly can affect how apps behave ("scrolling not working" is probably one of the better outcomes). Ctrl+Alt+Tab is probably not used by people much (unless you remap it as I did), but the zooming effect is very visible, unexpected and annoying. I described only two shortcuts and a handful of apps where you can see a negative impact, but in the real world, this problem might affect many more use cases.

Comment 2 Adam Williamson 2022-04-19 16:16:29 UTC
Upstream issue refers to another upstream issue and an MR, so marking as POST.

Comment 3 Adam Williamson 2022-04-19 16:16:55 UTC
+4 blocker in https://pagure.io/fedora-qa/blocker-review/issue/765 , marking as accepted.

Comment 4 Fedora Update System 2022-04-19 23:10:30 UTC
FEDORA-2022-e822ccefac has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e822ccefac

Comment 5 Kamil Páral 2022-04-20 07:40:44 UTC
(In reply to Fedora Update System from comment #4)
> FEDORA-2022-e822ccefac has been submitted as an update to Fedora 36.
> https://bodhi.fedoraproject.org/updates/FEDORA-2022-e822ccefac

Works!

Comment 6 Fedora Update System 2022-04-20 15:30:51 UTC
FEDORA-2022-e822ccefac has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-e822ccefac`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e822ccefac

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-04-20 23:29:47 UTC
FEDORA-2022-e822ccefac has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.